import {Pipe, PipeTransform} from '@angular/core';
import {DomSanitizer} from '@angular/platform-browser';

@Pipe({
  name: 'html'
})
/**
 * 解析html管道
 */
export class HtmlPipe implements PipeTransform {

  constructor(private sanitizer?: DomSanitizer) {

  }

  transform(value: string): unknown {
    return this.sanitizer.bypassSecurityTrustHtml(value);
  }

}
