// 环境变量
import {environment} from '../../environments/environment';
// 请求接口
const HttpInterface = {
  // 注册接口
  register: '/api/manager/register',
  // 获取邮箱类型接口
  getEmailType: '/api/manager/emailType',
  // 登陆接口
  login: '/api/manager/login',
  // 注销接口
  logout: '/api/manager/logout',
  // 发送验证码接口
  sendCode: '/api/manager/reset/code',
  // 检查验证码接口
  checkCode: '/api/manager/reset/checkCode',
  // 检查邮箱接口
  checkEmail: '/api/manager/reset/checkEmail',
  // 重置密码
  resetPwd: '/api/manager/reset/resetPwd',
  // 获取所有公告
  getAllNotices: '/api/forum/notices',
  // 获取所有帖子
  getAllPosts: '/api/forum/posts',
  // 审核帖子
  checkPost: '/api/forum/posts/check',
  // 添加公告
  addNotice: '/api/forum/notice/add',
  // 删除公告
  deleteNotice: '/api/forum/notice/delete',
  // 访客管理
  visitor: '/api/visitor',
  // 用户管理
  user: '/api/users',
  // 编辑信用分
  score: '/api/users/score'
};

for (const key of Object.keys(HttpInterface)) {
  HttpInterface[key] = environment.apiServer + HttpInterface[key];
}
export {HttpInterface};
