import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {TranslateModule} from '@ngx-translate/core';
import {RouterModule} from '@angular/router';
import {VisitorComponent} from './visitor/visitor.component';
import {ReactiveFormsModule} from '@angular/forms';
import {PageModule} from '../page/page/page.module';


/**
 *  访客预约模块
 */
@NgModule({
  declarations: [VisitorComponent],
  imports: [
    CommonModule,
    TranslateModule,
    RouterModule,
    ReactiveFormsModule,
    PageModule
  ]
})
export class VisitorModule {
}
