import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
// 登陆组件
import {LoginComponent} from '../login/login.component';
// 注册组件
import {RegisterComponent} from '../register/register.component';
// 重置密码组件
import {ResetpwdComponent} from '../resetpwd/resetpwd.component';
import {TranslateModule} from '@ngx-translate/core';
import {RouterModule} from '@angular/router';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
// 提示框组件
import {MessageComponent} from '../../message/message.component';
import {ScoreComponent} from '../score/score.component';
import {PageModule} from '../../page/page/page.module';

// import {InputComponent} from '../../input/input.component';


/**
 * 账号管理模块
 */
@NgModule({
  declarations: [LoginComponent, RegisterComponent, ResetpwdComponent, ScoreComponent, MessageComponent],
  imports: [
    CommonModule,
    TranslateModule,
    RouterModule,
    ReactiveFormsModule,
    FormsModule,
    PageModule
  ]
})
export class AccountModule {
}
