import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
// 论坛组件
import {ForumComponent} from './forum/forum.component';
import {TranslateModule} from '@ngx-translate/core';
import {RouterModule} from '@angular/router';
import {NoticeComponent} from './notice/notice.component';
import {ReactiveFormsModule} from '@angular/forms';


/**
 * 论坛模块
 */
@NgModule({
  declarations: [ForumComponent, NoticeComponent],
  exports: [
    ForumComponent
  ],
  imports: [
    CommonModule,
    TranslateModule,
    RouterModule,
    ReactiveFormsModule
  ]
})
export class ForumModule {
}
