import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {PageComponent} from '../page.component';
import {FormsModule} from '@angular/forms';
import {TranslateModule} from '@ngx-translate/core';


@NgModule({
  declarations: [PageComponent],
  imports: [
    CommonModule,
    TranslateModule,
    FormsModule,
  ],
  exports: [
    PageComponent
  ]
})
export class PageModule {
}
